SSH Tunneling to Debian 8 (Jessie)

Discussion of open issues, suggestions and bugs regarding ADO.NET provider for MySQL
Post Reply
imre.dudas
Posts: 18
Joined: Thu 11 Mar 2010 20:36

SSH Tunneling to Debian 8 (Jessie)

Post by imre.dudas » Fri 19 Jun 2015 15:10

Hi all,

I have a dotConnect for MySQL version 7.6.226. We updated the server Debian 6 Lenny to Debian 8 Jessie. The earlier created link to connect models are can not connect to the server. (They worked perfectly with the Debian Lenny)
First, I got the followed error message:

Code: Select all

Server does not support diffie-hellman-group1-sha1
After some searches I found a topic which said it will fixed if we add this line to the sshd_config file:

Code: Select all

"KexAlgorithms curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group14-sha1,diffie-hellman-group-exchange-sha1,diffie-hellman-group1-sha1"
I tried this. Since I edited this, I got the followed error message:

Code: Select all

The negotation of encryption algorithm is failed.
I downloaded the demo version of dotConnect for MySQL 8.3 and created a new linkconnectmodel and it works without any error message.
If we create a new linkconnectmodel with my version (7.6 - I have license for this) then we can not connect and the error message is the same as above.

What can I do to make it works with the earlier projects?

Thanks in advance for any kind of help!

Pinturiccio
Devart Team
Posts: 2141
Joined: Wed 02 Nov 2011 09:44

Re: SSH Tunneling to Debian 8 (Jessie)

Post by Pinturiccio » Mon 22 Jun 2015 12:16

imre.dudas wrote:I downloaded the demo version of dotConnect for MySQL 8.3 and created a new linkconnectmodel and it works without any error message.
If we create a new linkconnectmodel with my version (7.6 - I have license for this) then we can not connect and the error message is the same as above.

What can I do to make it works with the earlier projects?
New functionality and bug fixes are included into new builds of dotConnect for MySQL. If everything works for the latest dotConnect for MySQL version, this means that the related code was updated after the version 7.6, and these changes will not be added to the 7.6 version.

If you have a valid subscription for dotConnect for MySQL, you can download the latest version of dotConnect for MySQL from Registered Users' Area.

The subscription is valid during one year since the purchase of dotConnect for MySQL or renewing the subscription.

If your subscription is not valid, you need to renew your subscription to download the latest version of dotConnect for MySQL.

Post Reply